/*
Theme Name: 	The Sister Circle
Theme URI: 		https://thesistercircle.com
Description: 	A child theme of BuddyBoss Theme.
Author: 		Contemplate Design
Author URI: 	https://contemplatedesign.com
License: 		GNU General Public License v3 or later
License URI: 	http://www.gnu.org/licenses/gpl-3.0.html
Template: 		buddyboss-theme
Version: 		2.1.1
*/

/*-- GIHPY INTEGRATION --*/
.activity-attached-gif-container::after {
  	content: ''!important;
	background-image: url('https://thesistercircle.com/wp-content/uploads/2022/06/PoweredBy_200px-White_HorizText.png') !important;
	background-position: center !important;
	background-repeat: no-repeat !important; 
	background-size: contain !important;
	height: 15px !important;
}

/*-- HEADER --*/
.site-header .site-header-container {
	max-width: 90%;
}
.site-header:not(.has-scrolled) .site-header-container #site-logo .site-title img.bb-logo {
	width: 100%;
	max-height: 120px;
	margin-bottom: -20px;
}
.bb-template-v2 .primary-menu > li > a {
	text-transform: uppercase;
	position: relative;
}
.bb-template-v2 .primary-menu > li.highlight > a::before {
  content: "";
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  border-radius: 6px;
  background-color: #F6B618;
  z-index: -1;
  height: 40px;
  left: 0;
  right: 0;
}
.primary-menu > li.highlight > a { 
  color: #fff;
}
/*-- Cover Image --*/
#item-header a.link-change-cover-image, #item-header a.link-change-profile-image, #item-header a.position-change-cover-image {
	left: 50% !important;
	top: 45% !important;
}

/*-- Share Link --*/
.sharelink {
	font-weight: bold;
	display: inline;
}
.sharelink::before {
  content: 'Your Share Link: ';
  font-weight: normal;
}

/*---
Favorites
-------------*/
.simplefavorite-button {
    border-radius: 100%;
	padding: 4px 4px;
	opacity: 1 !important;
	font-size: 24px;
	line-height: 0em;
}
.simplefavorite-button:hover {
	opacity: 0.9 !important;
}
.favorites-list {
    margin: 0 !important;
    /*max-height: 640px;
    overflow-y: scroll;*/
}
.favorites-list li {
	position: relative;
	display: inline-block;
	vertical-align: top;
	text-align: center;
	width: 24%;
	padding: 10px;
	border: 0;
}
.favorites-list li img {
	width: 100% !important;
	height: auto !important;
}
.favorites-list li a {
	font-weight: 700;
}
.favorites-list li .simplefavorite-button {
	font-size: 0 !important;
	letter-spacing: 0;
	position: absolute;
	top: 0px;
    left: 5px;
    padding: 8px 10px;
}
.favorites-list li .simplefavorite-button.loading {
	font-size: 14px !important;
}
.favorites-list li .simplefavorite-button:not(.loading)::after {
    content: 'X';
    font-size: 14px;
    line-height: 14px;
}
.favorites-list li .simplefavorite-button i {
	display: none;
}

/*-------------------
Event Calendar
-------------------*/
.mec-single-event-category {
	display: none !important;
}

/*-- carousel -- */
.event-carousel-type4-head .mec-event-image img{
	min-height: 0 !important;
}
.mec-event-carousel-type4 .mec-carousel-type4-head {
  margin-bottom: 0 !important;
}
.event-carousel-type4-head .mec-event-overlay,
.event-carousel-type4-head .mec-event-hover-carousel-type4 {
	display: none !important;
}
.mec-event-carousel-type4 .owl-nav .owl-prev {
  top: 40% !important;
  left: -30px !important;
  display: block !important;
}
.mec-event-carousel-type4 .owl-nav .owl-next {
  top: 40% !important;
  right: -30px !important;
  display: block !important;
}
.mec-event-carousel-type4 .owl-nav .owl-next i, 
.mec-event-carousel-type4 .owl-nav .owl-prev i {
	font-size: 20px;
}

/*-------------------
Podcast Player
-------------------*/
.pp-podcast a, .pp-modal-window .modal-3698 a, .pp-modal-window .aux-modal-3698 a, 
.pp-podcast .ppjs__more {
    color: #F6B618 !important;
}
.pp-podcast .pod-info__header {
    padding: 20px 20px 10px !important;
    border-bottom: 1px dashed rgba(0,0,0,.1) !important;
    background: #fff !important;
}
.pp-podcast .byname {
  margin-right: 4px;
}
a.ppjs__episode-excerpt .ppjs__excerpt-content {
    color: #333 !important;
}
.ppjs__head-container img.ppjs__img-btn,
.pod-header__image img {
	border-radius: 10px !important;
}
.playerview .episode-list__search {
	border-bottom: 1px solid rgba(0,0,0,.1) !important;
}
.playerview .pp-podcast__wrapper .pod-entry {
    border-bottom: 1px solid rgba(0,0,0,.1) !important;
    padding: 10px !important;
}
.playerview .pp-podcast__wrapper .pod-entry:hover {
	background-color: #f2f2f2 !important;
}
.wide-player .pod-info .pod-items__navi-menu a.subscribe-item {
    width: auto;
    margin: 3px 6px 3px 0 !important;
    padding: 5px !important;
    color: #333 !important;
    border: 1px solid rgba(0,0,0,.3) !important;
    border-radius: 8px !important;
}
.ppjs__audio .ppjs__button .play-rate-text {
	border: .09em solid rgba(0,0,0,.3) !important;
    border-radius: 12px !important;
}
@media only screen and (min-width: 450px) {
.episode-list .episode-list__wrapper {
    max-height: 600px;
}
}
.pp-podcast__wrapper .episode-single {
	border-bottom: 1px solid rgba(0,0,0,.1) !important;
    background-color: #fff !important;
}
.pp-podcast__wrapper .episode-single__wrapper {
    width: 100% !important;
    padding: 20px !important;
}
.pp-podcast__wrapper .episode-single__header {
    padding-bottom: 20px !important;
}
.pp-podcast__wrapper  .episode-single__title {
    font-size: 17px !important;
    padding-right: 40px !important;
}
.pp-podcast__wrapper .episode-single__description img.aligncenter {
	margin: 0 auto !important;
    display: block !important;
}

/*-------------------
BUDDYBOSS
-------------------*/
/*-- Loading fix --*/
.buddypress-wrap input.loading#aw-whats-new-submit {
    color: transparent !important;
    animation: none !important;
    background-image: url('https://thesistercircle.com/wp-content/uploads/2026/02/spinner.svg') !important;
    background-repeat: no-repeat !important;
    background-position: center !important;
    background-size: 24px 24px !important;
}

/*-- Header fix --*/
body.buddypress.activation:not(.login-split-page) .site {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

/*-- Members Directory --*/
.members-directory-wrapper .members-nav .count,
.members-directory-wrapper .bp-pagination .pag-count .pag-data{
	display: none;
}

/*-- bpas-shortcode-activities --*/
#buddypress .activity-shortcode-title {
    display: none;
}

/*- hide comment/replys -*/
/*
.bpas-shortcode-activities .generic-button .acomment-reply {
	display: none !important;
}
*/

.bpas-shortcode-activities .item-avatar img {
    border-radius: 100%;
    max-width: 45px !important;
}
.bpas-shortcode-activities .bb-activity {
    height: auto;
}
.bpas-shortcode-activities .activity-list.bp-list .activity-item {
    overflow: hidden;
}
.bpas-shortcode-activities .activity-item .activity-content .activity-header {
    margin-bottom: 25px;
}
.bpas-shortcode-activities .activity-item.has-comments .activity-comments {
    background-color: #FBFBFC !important;
	margin: 0 -15px -25px;
}
.bpas-shortcode-activities .activity-comments .item-avatar img {
    max-width: 36px !important;
}
.bpas-shortcode-activities .activity-item.has-comments .activity-comments ul {
    margin: 0 0 15px 15px;
}
.bpas-shortcode-activities .activity-list .activity-item div.item-avatar {
    width: auto !important;
}
.bpas-shortcode-activities .activity-list .activity-item p {
    margin-bottom: 10px;
}
.bpas-shortcode-activities .bb-block-header__title h3 {
    font-size: 32px;
    color: #43454A;
}
.bpas-shortcode-activities .bbel-list-flow,
.bpas-shortcode-activities #activity-stream {
    overflow-x: hidden;
    max-height: 700px;
}

/*-- Activity Page --*/
body.activity.buddypress #content {
	background-image: url('https://thesistercircle.com/wp-content/uploads/2022/06/tsc-background-swoop.png');
	background-size: 100%;
	background-position: top center;
	background-color: #EDE6DA;
	background-repeat: no-repeat;
}

/*-- Activity --*/
body #whats-new-form #bp-activity-privacy-point {
  background-color: var(--bb-secondary-button-background-regular);
  border: 1px solid var(--bb-secondary-button-border-regular);
}
body.single-item.groups .activity-post-name-status #bp-activity-privacy-point {
	display: none !important;
}

/*-- Activity List --*/
.activity-list li.bbp_reply_create .activity-content .activity-inner, .activity-list li.bbp_topic_create .activity-content .activity-inner, .activity-list li.blogs .activity-content .activity-inner {
	max-width: 100% !important;
}

/*-- Badges --*/
.item-list.grid .bp-user-badges-badge-list {
  position: absolute;
  top: 0;
}
.activity-list .activity-item .bp-user-badges-badge-list {
	position: absolute;
	top: 0;
	left: 5px;
}
.bb-activity .activity-list .activity-item .bp-user-badges-badge-list {
  position: absolute;
  top: -70px;
  left: -10px;
}
.activity-list .activity-item .bp-user-badges-badge-list img {
	max-width: 20px;
}

/*-- GROUPS --*/
.buddypress-wrap ul.bp-list.groups-dir-list.grid .only-list-view {
	display: block !important;
	padding: 0 0 10px;
}
.buddypress-wrap ul.bp-list.groups-dir-list.grid .item-desc.group-item-desc p {
	max-width: 100%;
}

@media screen and (min-width: 75em) {
body:not(.has-sidebar) .buddypress-wrap ul.bp-list.groups-dir-list.grid > li {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 33.333%;
  flex: 0 0 33.333%;
  max-width: 33.333%;
}
}

/*-- Group Email Digest --*/
.single-item .group-subscription-div {
	padding: 5px 0;
}
.item-entry .group-subscription-div {
	width:100% !important;
	position:absolute !important;
	top:-300px !important;
	margin:0;
	right:0;
	background:rgba(255,255,255,0.75);
	padding:5px 10px;
	border-radius:30px;
}
.single-item .group-subscription-div .group-subscription-status-desc {
	flex: none;
	padding: 0px 10px 0 0;
	margin-bottom: 0;
}
/*
.single-item .group-subscription-div::before,
.item-entry .group-subscription-div::before {
    content: '\ee62';
	color: #939597;
	font-size: 21px;
	font-family: "bb-icons";
	text-transform: none;
    -moz-osx-font-smoothing: grayscale;
	line-height: 1;
}
*/
.single-item .group-subscription-status,
.item-entry .group-subscription-div .group-subscription-status {
	font-weight: bold;
	color: #444 !important;
	background: none !important;
	padding: 0 !important;
	margin: 0 !important;
}
.buddypress .buddypress-wrap button.ges-change,
.group-email-tooltip__close .modal-close__text {
	padding: 3px 10px;
	font-size: 12px;
	color: #fff !important;
	text-transform: uppercase;
}
.item-entry .group-subscription-div  button.ges-change {
	float: right;
}
.group-subscription-div #js-dialogtooltip {
	top: 0px;
	width: auto !important;
}
.item-entry .group-subscription-div #js-dialogtooltip {
	width: 300px !important;
}
.js-dialogtooltip #tooltip-title, .group-email-tooltip #js-tooltip-content {
	line-height: 1.4em;
}
.group-subscription-div .group-email-tooltip a {
	border: 1px solid;
    padding: 4px 6px;
    border-radius: 100px;
}
.item-entry .group-subscription-div .group-email-tooltip a {
	display: inline-block !important;
}

/*-- hidden groups --*/
#buddypress .item-list.groups-list li.hidden {
    display: block !important;
}

/*--- GIPHY ---*/
.gif-search-query input.search-query-input {
    width: 90%;
}
.activity-attached-gif-container:after {
	content: 'Powered by GIPHY';
	text-align:center;
	font-size: 12px;
	color: #aaa;
	display: block;
	margin-top: 10px;
}
.activity-attached-gif-container {
	margin-bottom: 5px;
}

/*--- GROUPS ---*/
body.groups #buddypress #header-cover-image.cover-large {
    height: 550px;
}
body.groups #cover-image-container {
	padding: 0;
}
body.groups #cover-image-container #item-header-cover-image {
	/*margin-top: -170px;*/
    background: #fff;
    padding: 20px;
    border-radius: 10px;
}

/*-- MENTION ---*/
body .atwho-view ul li .username {
	max-width: 220px;
    display: none; /* hide username */
}
body .atwho-view small {
	max-width: 100%;
}

/*-------------------
WooCommerce
-------------------*/
/*-- Product --*/
body.single-product .product_meta > span.sku_wrapper:nth-of-type(1),
body.single-product .product_meta > span.posted_in,
body.single-product .product_meta > span.tagged_as {
	display: none !important;
}

/*-- Variations --*/
body.single-product.woocommerce div.product form.cart .variations td, 
body.single-product.woocommerce div.product form.cart .variations th {
	width: 100%;
	display: block;
	padding: 0;
}

/*--Checkout --*/
#wc-stripe-payment-request-button-separator {
	display: none !important;
}
body.woocommerce-checkout #payment #place_order {
	font-size: 18px;
	font-weight: 600;
	-js-display: inline-flex;
	display: inline-flex;
	align-items: center;
	justify-content: center;
}
body.woocommerce-checkout .woocommerce-error strong {
  color: #a10000 !important;
  font-weight: 800 !important;
}

/*-- Upgrade --*/
.woocommerce table.shop_table td.product-name a {
	color: #333 !important;
}
.woocommerce .wcs-switch-link.button {
	display: none;
}

/*-- Smart Coupons --*/
form.woocommerce-checkout input[type="checkbox"] + span.wc-sc-toggle-check-text::before {
  content: 'Now' !important;
  width: 0 !important;
  height: 0 !important;
  margin: 0 !important;
  border: 0 !important;
  vertical-align: middle !important;
  display: inline !important;
  background: transparent !important;
}
form.woocommerce-checkout .wc-sc-toggle-check-input:checked ~ .wc-sc-toggle-check-text::before {
  content: 'Later' !important;
  font-family: inherit !important;
  text-transform: uppercase !important;
  box-shadow: 0 0 !important;
}
form.woocommerce-checkout .gift-certificate .message {
	width: 100%;
	border: 0;
	box-shadow: 0 0;
	padding: 0;
	margin: 0;
	background: #fff;
}

.woocommerce #coupons_list {
	display: none !important;
}

/*-----
 * Cartflows
 * -----------*/
body.cartflows_step-template-default .content-area {
  padding-top: 0;
  padding-bottom: 0;
}
body.cartflows_step-template-default .entry-header {
  margin-bottom: 0px;
}
body.cartflows_step-template .woocommerce .wcf-qty-row.wcf-qty-table-titles {
    display: none;
}
body.cartflows_step-template .woocommerce .bs-product-thumbnail {
    display: none;
}
body.cartflows_step-template .woocommerce-checkout #payment #place_order {
	font-size: 18px;
	font-weight: 600;
	-js-display: inline-flex;
	display: inline-flex;
	align-items: center;
	justify-content: center;
}

/*-------------------
LearnDash
-------------------*/
.ld_lesson_tag-fullwidth #learndash-page-content {
	padding: 30px 20px !important;
}
.ld_lesson_tag-fullwidth #learndash-course-header,
.ld_lesson_tag-fullwidth .learndash-wrapper .learndash_content_wrap {
    max-width: 100% !important;
	padding: 0 !important;
}
.ld_lesson_tag-noheader #learndash-course-header .lms-header-title,
.ld_lesson_tag-noheader #learndash-course-header .lms-header-instructor{
	display: none !important;
}

@media (min-width: 1024px) {
	.learndash-wrapper .learndash_content_wrap {
  		max-width: 980px;
	}
	.learndash-wrapper .learndash_content_wrap .wp-block-image.size-full img {
		width: 100%;
	}
	.bb-grid .ld-course-list-items .bb-course-item-wrap {
  		margin-bottom: 20px;
  		-webkit-box-flex: 0;
  		-ms-flex: 0 0 25%;
  		flex: 0 0 25%;
	}
}

/*-------------------
Misc
-------------------*/
input {
	height: auto;
}
.wp-block-embed.small-video {
	background-color: #666666 !important;
}
.wp-block-embed.small-video .wp-block-embed__wrapper {
	max-width: 300px !important;
	margin: 0 auto !important;
}


/*-------------------
RESPONSIVE
-------------------*/
/* Desktop */
@media screen and (min-width: 46.8em) {
	.activity-list li.blogs .activity-content .activity-inner .bb-post-title {
		font-size: 22px;
	}
	.buddypress-wrap .activity-header, .buddypress-wrap .activity-inner {
  		font-size: 18px;
	}
}

/* Tablet */
@media screen and (max-width: 1080px){
	/*-- Group Header ---*/
	body.groups #buddypress #header-cover-image .header-cover-img {
		display: block !important;
	}
	body.groups #buddypress #header-cover-image.cover-large {
  		height: 350px;
  		margin-top: 0;
	}
}

/* Mobile */
@media screen and (max-width: 780px){

	.favorites-list li {
		width: 49%;
	}
	.activity-list .activity-item .bp-user-badges-badge-list {
		top: -10px;
		left: -10px;
	}
	body.groups #buddypress #header-cover-image.cover-large {
  		height: 200px;
	}

}

/*-------------------
BUDDYBOSS APP
-------------------*/
body.in-bbapp .woocommerce-button.button.upgrade {
	display: none !important; 
}